@charset "UTF-8";

.p-header {
  position: fixed;
  top: 27px;
  left: 23px;
  width: calc(100% - 46px);
  height: 60px;
  z-index: 100;
  background: #ffffff;
  border: 1px solid #dddddd;
  border-radius: 6px;
}

.p-header__logo {
  position: absolute;
  top: 7px;
  left: 16px;
  width: 47px;
  aspect-ratio: 1/1;
  height: -webkit-fit-content;
  height: -moz-fit-content;
  height: fit-content;
}

.p-header__menu {
  display: none;
}
@media screen and (min-width:1024px) {
  .p-header__menu {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
        -webkit-box-pack: end;
        -ms-flex-pack: end;
            justify-content: end;
    gap: clamp(24px, 3.2942898975vw, 45px);
  }
}

.p-header__link {
  font-size: 15px;
  line-height: 1.2666666667;
  letter-spacing: 0.45px;
  font-weight: 700;
}
.p-header__btn {
  padding-block: 20px;
  padding-inline: 18px 26px;
  background: transparent -webkit-gradient(linear, left top, right top, from(#bc6fd8), color-stop(40%, #e7693b), to(#f7be2c)) 0% 0% no-repeat padding-box;
  background: transparent linear-gradient(90deg, #bc6fd8 0%, #e7693b 40%, #f7be2c 100%) 0% 0% no-repeat padding-box;
  border-radius: 0px 6px 6px 0px;
  color: #ffffff;
  font-size: 15px;
  line-height: 1.2666666667;
  letter-spacing: 0.45px;
  font-weight: 700;
    position: relative;
  z-index: 1;
  overflow: hidden;
}
.p-header__btn::after {
  content: "";
  position: absolute;
  inset: 0;
  background: -webkit-gradient(linear, left top, right top, from(#f7be2c), color-stop(60%, #e7693b), to(#bc6fd8));
  background: linear-gradient(90deg, #f7be2c 0%, #e7693b 60%, #bc6fd8 100%);
  opacity: 0;
  z-index: -1;
  -webkit-transition: opacity 0.3s ease;
  transition: opacity 0.3s ease;
}
@media (any-hover: hover) {
  .p-header__btn:hover {
    color: #ffffff;
  }
  .p-header__btn:hover::after {
    opacity: 1;
  }
}
.p-header__btn .text {
  padding-left: 29px;
  position: relative;
}
.p-header__btn .text::before {
  content: "";
  position: absolute;
  top: 3px;
  left: 0;
  width: 20px;
  height: 15px;
  background: url(../images/icon-mail.svg) no-repeat center center/cover;
}